Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 2701)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 2702)
@@ -42,8 +42,10 @@
 import org.txm.ca.core.statsengine.r.functions.ICA;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.core.messages.TXMCoreMessages;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
+import org.txm.index.core.functions.PartitionIndex;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.statsengine.core.StatException;
@@ -765,7 +767,7 @@
 	@Override
 	public String getSimpleName() {
 		try {
-			return this.getParent().getSimpleName() + " (" + this.firstDimension + "," + this.secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			return this.getParent().getProperty().asString() + " (" + this.firstDimension + "," + this.secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		catch (Exception e) {
 			return "";
@@ -773,6 +775,12 @@
 	}
 	
 	@Override
+	public String getName() {
+		return this.getParent().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + " (" + this.firstDimension + "," + this.secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ ;
+	}
+	
+	
+	@Override
 	public String getDetails() {
 		try {
 			return this.getSimpleName() + " " + NLS.bind(TXMCoreMessages.common_fMinEquals, this.getLexicalTable().getFMin());
@@ -787,31 +795,28 @@
 	public String getComputingStartMessage() {
 		// from lexical table
 		if (this.parent.isVisible()) {
-			return TXMCoreMessages.bind(CACoreMessages.info_caOfTheP0LexcialTable, this.getParent().getSimpleName());
+			return TXMCoreMessages.bind(CACoreMessages.info_caOfTheP0LexcialTable, this.getParent().getName());
 		}
+		// from partition index
+		else if (this.getParent().getParent() instanceof PartitionIndex) {
+			return TXMCoreMessages.bind(CACoreMessages.info_caOfTheP0PartitionIndex, this.getParent().getParent().getName());
+			
+		}
+		// from partition
+		else if (this.getParent().getPartition() != null) {
+			return TXMCoreMessages.bind(CACoreMessages.info_caOfTheP0PartitionCommaP1Property, this.getParent().getPartition().getName(), this.getParent().getProperty().asString());
+		}
+		// from sub-corpus lexical table
+		// FIXME: SJ: this special case is possible when creating Specificities then calling the command on the invisible Lexical Table
+		// need to if we need a special log message here
 		else {
-			// from partition
-			if (this.getParent().getPartition() != null) {
-				return TXMCoreMessages.bind(CACoreMessages.info_caOfTheP0PartitionCommaP1Property, this.getParent().getPartition().getSimpleName(), this.getParent().getProperty());
-			}
-			// from sub-corpus lexical table
-			// FIXME: SJ: this special case is possible when creating Specificities then calling the command on the invisible Lexical Table
-			// need to if we need a special log message here
-			else {
-				return "";
-			}
+			return "";
 		}
 		
 		
 	}
 	
 	
-	@Override
-	public String getName() {
-		return this.getSimpleName();
-	}
-	
-	
 	/**
 	 * Get the singular values as array.
 	 *
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 2701)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 2702)
@@ -9,6 +9,7 @@
 import java.util.Map;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
@@ -502,13 +503,13 @@
 	
 	@Override
 	public String getSimpleName() {
-		// if (statsData != null) {
 		StringBuilder strb = new StringBuilder();
-		if (property != null) {
-			strb.append(property.getName() + " ");
+		if (this.property != null) {
+			strb.append(this.property.asString());
 			try {
-				// strb.append(this.getFMin() + " / " + this.getNRows());
-				strb.append(this.fMinFilter + (Integer.MAX_VALUE != this.fMaxFilter ? ("-" + this.fMaxFilter) : "") + " / " + this.vMaxFilter);
+				strb.append(TXMCoreMessages.formatMinFilter(this.fMinFilter));
+				strb.append(TXMCoreMessages.formatMaxFilter(this.fMaxFilter));
+				strb.append(TXMCoreMessages.formatVMaxFilter(this.vMaxFilter));
 			}
 			catch (Exception e) {
 				Log.printStackTrace(e);
@@ -516,8 +517,6 @@
 			}
 			return strb.toString();
 		}
-		
-		// }
 		else {
 			return this.getEmptyName();
 		}
@@ -526,7 +525,7 @@
 	@Override
 	public String getName() {
 		try {
-			return this.getParent().getSimpleName() + ":" + this.getSimpleName(); //$NON-NLS-1$
+			return this.getParent().getName() + TXMPreferences.PARENT_NAME_SEPARATOR + this.getSimpleName();
 		}
 		catch (Exception e) {
 			Log.printStackTrace(e);
@@ -538,15 +537,15 @@
 	public String getComputingStartMessage() {
 		// from partition index
 		if (this.parent instanceof PartitionIndex) {
-			return NLS.bind(LexicalTableCoreMessages.info_creatingLexicalTableWithTheP0PartitionIndex, this.parent.getSimpleName());
+			return NLS.bind(LexicalTableCoreMessages.info_creatingLexicalTableWithTheP0PartitionIndex, this.parent.getName());
 		}
 		// from partition
 		else if (this.getPartition() != null) {
-			return NLS.bind(LexicalTableCoreMessages.info_creatingLexicalTableWithTheP0PartitionCommaPropertiesP1, this.getPartition().getSimpleName(), this.property);
+			return NLS.bind(LexicalTableCoreMessages.info_creatingLexicalTableWithTheP0PartitionCommaPropertiesP1, this.getPartition().getName(), this.property.asString());
 		}
 		// from main corpus and subcorpus
 		else {
-			return NLS.bind(LexicalTableCoreMessages.info_creatingLexicalTableWithTheP0CorpusAndTheP1Subcorpus, this.getCorpus().getCorpusParent(), this.getParent().getSimpleName());
+			return NLS.bind(LexicalTableCoreMessages.info_creatingLexicalTableWithTheP0CorpusAndTheP1Subcorpus, this.getCorpus().getCorpusParent().getName(), this.getParent().getName());
 		}
 	}
 	
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java	(revision 2701)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java	(revision 2702)
@@ -98,6 +98,9 @@
 					
 					getSVGCanvas().loadSVGDocument(file.toURL().toExternalForm());
 					
+					// FIXME: SJ: temporary fix for a bug where sometimes the SVG doesn't appear in the component (e.g. create or reopen AHC multiple times to reproduce the bug)
+					// resetView();
+					
 					Log.fine(TXMCoreMessages.bind("File {0} loaded.", file.getAbsolutePath()));
 					
 				}
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 2701)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 2702)
@@ -11,13 +11,13 @@
 	public String getQueryString();
 	
 	public boolean isEmpty();
-
+	
 	/**
 	 * 
 	 * @return the Query SearchEngine that can resolve the query
 	 */
 	public SearchEngine getSearchEngine();
-
+	
 	/**
 	 * update the query
 	 * 
@@ -28,9 +28,12 @@
 	
 	/**
 	 * fix the query using sugar syntax rules
+	 * 
 	 * @return this
 	 */
 	public IQuery fixQuery();
 	
 	public boolean equals(IQuery q);
+	
+	public String asString();
 }
Index: tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java
===================================================================
--- tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 2701)
+++ tmp/org.txm.searchengine.core/src/org/txm/searchengine/core/Query.java	(revision 2702)
@@ -30,6 +30,7 @@
 import java.util.ArrayList;
 import java.util.List;
 
+import org.apache.commons.lang.StringUtils;
 import org.txm.core.preferences.TXMPreferences;
 
 /**
@@ -39,38 +40,40 @@
  */
 
 public class Query implements IQuery {
-
+	
 	/**
 	 * Converts the specified list of Query to a string.
 	 * Queries strings are separated by a tabulation.
+	 * 
 	 * @param queries
 	 * @return
 	 */
 	public static String queriesToString(List<Query> queries) {
 		String str = "";
 		for (int i = 0; i < queries.size(); i++) {
-			if(i > 0)	{
+			if (i > 0) {
 				str += TXMPreferences.LIST_SEPARATOR;
 			}
-			str += queries.get(i).getQueryString();	
-			str += TXMPreferences.LIST_SEPARATOR+queries.get(i).getSearchEngine().getName();
+			str += queries.get(i).getQueryString();
+			str += TXMPreferences.LIST_SEPARATOR + queries.get(i).getSearchEngine().getName();
 		}
 		return str;
 	}
-
+	
 	/**
 	 * Converts the specified string to a list of Query.
 	 * Input string must contains queries separated by a tabulation.
+	 * 
 	 * @param str
 	 * @return
 	 */
 	public static List<Query> stringToQueries(String str) {
-		ArrayList<Query> queries = new ArrayList<Query>();
+		ArrayList<Query> queries = new ArrayList<>();
 		if (str == null || str.length() == 0) {
 			return queries;
 		}
 		String[] split = str.split(TXMPreferences.LIST_SEPARATOR);
-		for (int i = 0 ; i +1 < split.length ; i = i+2) {
+		for (int i = 0; i + 1 < split.length; i = i + 2) {
 			String s = split[i];
 			String eName = split[i];
 			SearchEngine e = SearchEnginesManager.getSearchEngine(eName);
@@ -78,33 +81,35 @@
 		}
 		return queries;
 	}
-
+	
 	/**
 	 * Converts the specified string to a Query.
 	 * Input string must contains queries separated by a tabulation.
+	 * 
 	 * @param str
 	 * @return
 	 */
 	public static Query stringToQuery(String str) {
-
+		
 		String[] split = str.split(TXMPreferences.LIST_SEPARATOR, 2);
 		String eName = split[1];
 		SearchEngine e = SearchEnginesManager.getSearchEngine(eName);
 		return new Query(split[0], e);
-
+		
 	}
-
+	
+	
 	/**
 	 * The query string.
 	 */
 	protected SearchEngine engine = null;
-
+	
 	/**
 	 * The query string.
 	 */
 	protected String queryString = "";
-
-
+	
+	
 	/**
 	 * Instantiates a new query.
 	 * 
@@ -121,15 +126,15 @@
 		else {
 			this.queryString = "";
 		}
-
+		
 		this.engine = engine;
 	}
-
+	
 	@Override
 	public boolean equals(IQuery q) {
 		return this.engine.equals(q.getSearchEngine()) && this.getQueryString().equals(q.getQueryString());
 	}
-
+	
 	@Override
 	public boolean equals(Object obj) {
 		if (obj == null) return false;
@@ -138,45 +143,60 @@
 		}
 		if (this.queryString == null) return false;
 		if (this.engine == null) return false;
-
+		
 		return this.queryString.equals(((Query) obj).queryString) && this.engine.equals(((Query) obj).engine);
 	}
-
+	
 	@Override
 	public IQuery fixQuery() {
 		return new Query(queryString, this.engine);
 	}
-
-
+	
+	
 	/**
 	 * Gets the query string.
 	 * 
 	 * @return the query string
 	 */
+	@Override
 	public final String getQueryString() {
 		return queryString;
 	}
-
+	
 	@Override
 	public SearchEngine getSearchEngine() {
 		return engine;
 	}
-
+	
 	/**
 	 * Checks whatever the query is empty (null, empty or contains only double quotes) or not.
+	 * 
 	 * @return true if empty otherwise false
 	 */
+	@Override
 	public boolean isEmpty() {
 		return queryString == null || queryString.length() == 0 || "\"\"".equals(queryString);
 	}
-
+	
 	@Override
 	public IQuery setQuery(String rawQuery) {
 		queryString = rawQuery;
 		return this;
 	}
-
-	/* (non-Javadoc)
+	
+	/**
+	 * Creates a readable formated string from the query.
+	 * 
+	 * @return
+	 */
+	@Override
+	public String asString() {
+		return "<" + this.queryString + ">"; //$NON-NLS-1$ //$NON-NLS-2$
+	}
+	
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.lang.Object#toString()
 	 */
 	@Override
